Package org.eclipse.m2m.atl.profiler.exportmodel

## Interface ExportmodelPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ExportmodelPackageImpl`

    public interface ExportmodelPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ExportmodelFactory`

### Nested Class Summary

Nested Classes
`static interface` `ExportmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static int` `ATL_OPERATION_EXPORT` The meta object id for the '`Atl Operation Export`' class.
`static int` `ATL_OPERATION_EXPORT__BEGIN_MEMORY` The feature id for the 'Begin Memory' attribute.
`static int` `ATL_OPERATION_EXPORT__CALLS` The feature id for the 'Calls' attribute.
`static int` `ATL_OPERATION_EXPORT__END_MEMORY` The feature id for the 'End Memory' attribute.
`static int` `ATL_OPERATION_EXPORT__INSTRUCTIONS` The feature id for the 'Instructions' attribute.
`static int` `ATL_OPERATION_EXPORT__MAX_MEMORY` The feature id for the 'Max Memory' attribute.
`static int` `ATL_OPERATION_EXPORT__NAME` The feature id for the 'Name' attribute.
`static int` `ATL_OPERATION_EXPORT__PROFILING_OPERATION` The feature id for the 'Profiling Operation' containment reference list.
`static int` `ATL_OPERATION_EXPORT__TIM_EXECUTION` The feature id for the 'Tim Execution' attribute.
`static int` `ATL_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT` The feature id for the 'Total Instructions Percent' attribute.
`static int` `ATL_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT` The feature id for the 'Total Time Execution Percent' attribute.
`static int` `ATL_OPERATION_EXPORT_FEATURE_COUNT` The number of structural features of the 'Atl Operation Export' class.
`static ExportmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXPORT_ELEMENT` The meta object id for the '`Export Element`' class.
`static int` `EXPORT_ELEMENT__BEGIN_MEMORY` The feature id for the 'Begin Memory' attribute.
`static int` `EXPORT_ELEMENT__END_MEMORY` The feature id for the 'End Memory' attribute.
`static int` `EXPORT_ELEMENT__INSTRUCTIONS` The feature id for the 'Instructions' attribute.
`static int` `EXPORT_ELEMENT__MAX_MEMORY` The feature id for the 'Max Memory' attribute.
`static int` `EXPORT_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `EXPORT_ELEMENT__TIM_EXECUTION` The feature id for the 'Tim Execution' attribute.
`static int` `EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT` The feature id for the 'Total Instructions Percent' attribute.
`static int` `EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT` The feature id for the 'Total Time Execution Percent' attribute.
`static int` `EXPORT_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Export Element' class.
`static int` `EXPORT_ROOT` The meta object id for the '`Export Root`' class.
`static int` `EXPORT_ROOT__OPERATION` The feature id for the 'Operation' containment reference list.
`static int` `EXPORT_ROOT__TOTAL_INSTRUCTIONS` The feature id for the 'Total Instructions' attribute.
`static int` `EXPORT_ROOT__TOTAL_TIME` The feature id for the 'Total Time' attribute.
`static int` `EXPORT_ROOT_FEATURE_COUNT` The number of structural features of the 'Export Root' class.
`static int` `PROFILING_OPERATION_EXPORT` The meta object id for the '`Profiling Operation Export`' class.
`static int` `PROFILING_OPERATION_EXPORT__BEGIN_MEMORY` The feature id for the 'Begin Memory' attribute.
`static int` `PROFILING_OPERATION_EXPORT__END_MEMORY` The feature id for the 'End Memory' attribute.
`static int` `PROFILING_OPERATION_EXPORT__INSTRUCTIONS` The feature id for the 'Instructions' attribute.
`static int` `PROFILING_OPERATION_EXPORT__MAX_MEMORY` The feature id for the 'Max Memory' attribute.
`static int` `PROFILING_OPERATION_EXPORT__NAME` The feature id for the 'Name' attribute.
`static int` `PROFILING_OPERATION_EXPORT__TIM_EXECUTION` The feature id for the 'Tim Execution' attribute.
`static int` `PROFILING_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT` The feature id for the 'Total Instructions Percent' attribute.
`static int` `PROFILING_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT` The feature id for the 'Total Time Execution Percent' attribute.
`static int` `PROFILING_OPERATION_EXPORT_FEATURE_COUNT` The number of structural features of the 'Profiling Operation Export' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EClass` `getAtlOperationExport()` Returns the meta object for class '`Atl Operation Export`'.
`org.eclipse.emf.ecore.EAttribute` `getAtlOperationExport_Calls()` Returns the meta object for the attribute '`Calls`'.
`org.eclipse.emf.ecore.EReference` `getAtlOperationExport_ProfilingOperation()` Returns the meta object for the containment reference list '`Profiling Operation`'.
`org.eclipse.emf.ecore.EClass` `getExportElement()` Returns the meta object for class '`Export Element`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_BeginMemory()` Returns the meta object for the attribute '`Begin Memory`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_EndMemory()` Returns the meta object for the attribute '`End Memory`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_Instructions()` Returns the meta object for the attribute '`Instructions`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_MaxMemory()` Returns the meta object for the attribute '`Max Memory`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_TimExecution()` Returns the meta object for the attribute '`Tim Execution`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_TotalInstructionsPercent()` Returns the meta object for the attribute '`Total Instructions Percent`'.
`org.eclipse.emf.ecore.EAttribute` `getExportElement_TotalTimeExecutionPercent()` Returns the meta object for the attribute '`Total Time Execution Percent`'.
`ExportmodelFactory` `getExportmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getExportRoot()` Returns the meta object for class '`Export Root`'.
`org.eclipse.emf.ecore.EReference` `getExportRoot_Operation()` Returns the meta object for the containment reference list '`Operation`'.
`org.eclipse.emf.ecore.EAttribute` `getExportRoot_TotalInstructions()` Returns the meta object for the attribute '`Total Instructions`'.
`org.eclipse.emf.ecore.EAttribute` `getExportRoot_TotalTime()` Returns the meta object for the attribute '`Total Time`'.
`org.eclipse.emf.ecore.EClass` `getProfilingOperationExport()` Returns the meta object for class '`Profiling Operation Export`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final ExportmodelPackage eINSTANCE

The singleton instance of the package.

#### EXPORT_ELEMENT

    static final int EXPORT_ELEMENT

The meta object id for the '`Export Element`' class.

See Also:
  `ExportElementImpl`, `ExportmodelPackageImpl.getExportElement()`, Constant Field Values

#### EXPORT_ELEMENT__NAME

    static final int EXPORT_ELEMENT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__TIM_EXECUTION

    static final int EXPORT_ELEMENT__TIM_EXECUTION

The feature id for the 'Tim Execution' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__INSTRUCTIONS

    static final int EXPORT_ELEMENT__INSTRUCTIONS

The feature id for the 'Instructions' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__BEGIN_MEMORY

    static final int EXPORT_ELEMENT__BEGIN_MEMORY

The feature id for the 'Begin Memory' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__MAX_MEMORY

    static final int EXPORT_ELEMENT__MAX_MEMORY

The feature id for the 'Max Memory' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__END_MEMORY

    static final int EXPORT_ELEMENT__END_MEMORY

The feature id for the 'End Memory' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT

    static final int EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT

The feature id for the 'Total Time Execution Percent' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT

    static final int EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT

The feature id for the 'Total Instructions Percent' attribute.

See Also:
  Constant Field Values

#### EXPORT_ELEMENT_FEATURE_COUNT

    static final int EXPORT_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Export Element' class.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT

    static final int PROFILING_OPERATION_EXPORT

The meta object id for the '`Profiling Operation Export`' class.

See Also:
  `ProfilingOperationExportImpl`, `ExportmodelPackageImpl.getProfilingOperationExport()`, Constant Field Values

#### PROFILING_OPERATION_EXPORT__NAME

    static final int PROFILING_OPERATION_EXPORT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__TIM_EXECUTION

    static final int PROFILING_OPERATION_EXPORT__TIM_EXECUTION

The feature id for the 'Tim Execution' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__INSTRUCTIONS

    static final int PROFILING_OPERATION_EXPORT__INSTRUCTIONS

The feature id for the 'Instructions' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__BEGIN_MEMORY

    static final int PROFILING_OPERATION_EXPORT__BEGIN_MEMORY

The feature id for the 'Begin Memory' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__MAX_MEMORY

    static final int PROFILING_OPERATION_EXPORT__MAX_MEMORY

The feature id for the 'Max Memory' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__END_MEMORY

    static final int PROFILING_OPERATION_EXPORT__END_MEMORY

The feature id for the 'End Memory' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT

    static final int PROFILING_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT

The feature id for the 'Total Time Execution Percent' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT

    static final int PROFILING_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT

The feature id for the 'Total Instructions Percent' attribute.

See Also:
  Constant Field Values

#### PROFILING_OPERATION_EXPORT_FEATURE_COUNT

    static final int PROFILING_OPERATION_EXPORT_FEATURE_COUNT

The number of structural features of the 'Profiling Operation Export' class.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT

    static final int ATL_OPERATION_EXPORT

The meta object id for the '`Atl Operation Export`' class.

See Also:
  `AtlOperationExportImpl`, `ExportmodelPackageImpl.getAtlOperationExport()`, Constant Field Values

#### ATL_OPERATION_EXPORT__NAME

    static final int ATL_OPERATION_EXPORT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__TIM_EXECUTION

    static final int ATL_OPERATION_EXPORT__TIM_EXECUTION

The feature id for the 'Tim Execution' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__INSTRUCTIONS

    static final int ATL_OPERATION_EXPORT__INSTRUCTIONS

The feature id for the 'Instructions' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__BEGIN_MEMORY

    static final int ATL_OPERATION_EXPORT__BEGIN_MEMORY

The feature id for the 'Begin Memory' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__MAX_MEMORY

    static final int ATL_OPERATION_EXPORT__MAX_MEMORY

The feature id for the 'Max Memory' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__END_MEMORY

    static final int ATL_OPERATION_EXPORT__END_MEMORY

The feature id for the 'End Memory' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT

    static final int ATL_OPERATION_EXPORT__TOTAL_TIME_EXECUTION_PERCENT

The feature id for the 'Total Time Execution Percent' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT

    static final int ATL_OPERATION_EXPORT__TOTAL_INSTRUCTIONS_PERCENT

The feature id for the 'Total Instructions Percent' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__CALLS

    static final int ATL_OPERATION_EXPORT__CALLS

The feature id for the 'Calls' attribute.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT__PROFILING_OPERATION

    static final int ATL_OPERATION_EXPORT__PROFILING_OPERATION

The feature id for the 'Profiling Operation' containment reference list.

See Also:
  Constant Field Values

#### ATL_OPERATION_EXPORT_FEATURE_COUNT

    static final int ATL_OPERATION_EXPORT_FEATURE_COUNT

The number of structural features of the 'Atl Operation Export' class.

See Also:
  Constant Field Values

#### EXPORT_ROOT

    static final int EXPORT_ROOT

The meta object id for the '`Export Root`' class.

See Also:
  `ExportRootImpl`, `ExportmodelPackageImpl.getExportRoot()`, Constant Field Values

#### EXPORT_ROOT__OPERATION

    static final int EXPORT_ROOT__OPERATION

The feature id for the 'Operation' containment reference list.

See Also:
  Constant Field Values

#### EXPORT_ROOT__TOTAL_TIME

    static final int EXPORT_ROOT__TOTAL_TIME

The feature id for the 'Total Time' attribute.

See Also:
  Constant Field Values

#### EXPORT_ROOT__TOTAL_INSTRUCTIONS

    static final int EXPORT_ROOT__TOTAL_INSTRUCTIONS

The feature id for the 'Total Instructions' attribute.

See Also:
  Constant Field Values

#### EXPORT_ROOT_FEATURE_COUNT

    static final int EXPORT_ROOT_FEATURE_COUNT

The number of structural features of the 'Export Root' class.

See Also:
  Constant Field Values

### Method Detail

#### getExportElement

    org.eclipse.emf.ecore.EClass getExportElement()

Returns the meta object for class '`Export Element`'.

Returns:
  the meta object for class 'Export Element'.
See Also:
  `ExportElement`

#### getExportElement_Name

    org.eclipse.emf.ecore.EAttribute getExportElement_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ExportElement.getName()`, `getExportElement()`

#### getExportElement_TimExecution

    org.eclipse.emf.ecore.EAttribute getExportElement_TimExecution()

Returns the meta object for the attribute '`Tim Execution`'.

Returns:
  the meta object for the attribute 'Tim Execution'.
See Also:
  `ExportElement.getTimExecution()`, `getExportElement()`

#### getExportElement_Instructions

    org.eclipse.emf.ecore.EAttribute getExportElement_Instructions()

Returns the meta object for the attribute '`Instructions`'.

Returns:
  the meta object for the attribute 'Instructions'.
See Also:
  `ExportElement.getInstructions()`, `getExportElement()`

#### getExportElement_BeginMemory

    org.eclipse.emf.ecore.EAttribute getExportElement_BeginMemory()

Returns the meta object for the attribute '`Begin Memory`'.

Returns:
  the meta object for the attribute 'Begin Memory'.
See Also:
  `ExportElement.getBeginMemory()`, `getExportElement()`

#### getExportElement_MaxMemory

    org.eclipse.emf.ecore.EAttribute getExportElement_MaxMemory()

Returns the meta object for the attribute '`Max Memory`'.

Returns:
  the meta object for the attribute 'Max Memory'.
See Also:
  `ExportElement.getMaxMemory()`, `getExportElement()`

#### getExportElement_EndMemory

    org.eclipse.emf.ecore.EAttribute getExportElement_EndMemory()

Returns the meta object for the attribute '`End Memory`'.

Returns:
  the meta object for the attribute 'End Memory'.
See Also:
  `ExportElement.getEndMemory()`, `getExportElement()`

#### getExportElement_TotalTimeExecutionPercent

    org.eclipse.emf.ecore.EAttribute getExportElement_TotalTimeExecutionPercent()

Returns the meta object for the attribute '`Total Time Execution Percent`'.

Returns:
  the meta object for the attribute 'Total Time Execution Percent'.
See Also:
  `ExportElement.getTotalTimeExecutionPercent()`, `getExportElement()`

#### getExportElement_TotalInstructionsPercent

    org.eclipse.emf.ecore.EAttribute getExportElement_TotalInstructionsPercent()

Returns the meta object for the attribute '`Total Instructions Percent`'.

Returns:
  the meta object for the attribute 'Total Instructions Percent'.
See Also:
  `ExportElement.getTotalInstructionsPercent()`, `getExportElement()`

#### getProfilingOperationExport

    org.eclipse.emf.ecore.EClass getProfilingOperationExport()

Returns the meta object for class '`Profiling Operation Export`'.

Returns:
  the meta object for class 'Profiling Operation Export'.
See Also:
  `ProfilingOperationExport`

#### getAtlOperationExport

    org.eclipse.emf.ecore.EClass getAtlOperationExport()

Returns the meta object for class '`Atl Operation Export`'.

Returns:
  the meta object for class 'Atl Operation Export'.
See Also:
  `AtlOperationExport`

#### getAtlOperationExport_Calls

    org.eclipse.emf.ecore.EAttribute getAtlOperationExport_Calls()

Returns the meta object for the attribute '`Calls`'.

Returns:
  the meta object for the attribute 'Calls'.
See Also:
  `AtlOperationExport.getCalls()`, `getAtlOperationExport()`

#### getAtlOperationExport_ProfilingOperation

    org.eclipse.emf.ecore.EReference getAtlOperationExport_ProfilingOperation()

Returns the meta object for the containment reference list '`Profiling Operation`'.

Returns:
  the meta object for the containment reference list 'Profiling Operation'.
See Also:
  `AtlOperationExport.getProfilingOperation()`, `getAtlOperationExport()`

#### getExportRoot

    org.eclipse.emf.ecore.EClass getExportRoot()

Returns the meta object for class '`Export Root`'.

Returns:
  the meta object for class 'Export Root'.
See Also:
  `ExportRoot`

#### getExportRoot_Operation

    org.eclipse.emf.ecore.EReference getExportRoot_Operation()

Returns the meta object for the containment reference list '`Operation`'.

Returns:
  the meta object for the containment reference list 'Operation'.
See Also:
  `ExportRoot.getOperation()`, `getExportRoot()`

#### getExportRoot_TotalTime

    org.eclipse.emf.ecore.EAttribute getExportRoot_TotalTime()

Returns the meta object for the attribute '`Total Time`'.

Returns:
  the meta object for the attribute 'Total Time'.
See Also:
  `ExportRoot.getTotalTime()`, `getExportRoot()`

#### getExportRoot_TotalInstructions

    org.eclipse.emf.ecore.EAttribute getExportRoot_TotalInstructions()

Returns the meta object for the attribute '`Total Instructions`'.

Returns:
  the meta object for the attribute 'Total Instructions'.
See Also:
  `ExportRoot.getTotalInstructions()`, `getExportRoot()`

#### getExportmodelFactory

    ExportmodelFactory getExportmodelFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.